
drop table if exists `file_main_star`;

create table if not exists `file_main_star` (
    `file_id` INT UNSIGNED NOT NULL,
    `star_id` INT UNSIGNED NOT NULL,
    PRIMARY KEY (`file_id`, `star_id`),
    INDEX `fk_file_main_star_file_idx` (`file_id` ASC),
    INDEX `fk_file_main_star_star_idx` (`star_id` ASC),
    CONSTRAINT `fk_file_main_star_star`
        FOREIGN KEY (`star_id`)
        REFERENCES `main_star` (`id`)
        ON DELETE CASCADE
        ON UPDATE NO ACTION,
    CONSTRAINT `fk_file_main_star_file`
        FOREIGN KEY (`file_id`)
        REFERENCES `file` (`id`)
        ON DELETE CASCADE
        ON UPDATE NO ACTION
);

-- show table result
describe `file_main_star`;
SELECT * FROM `file_main_star` LIMIT 1000;